<?php

use Hilco\Models\SubscriptionItem;

class AutoshipCartLine extends CartLine {

    public function __construct (SubscriptionItem $autoshipItem) {
        parent::__construct($autoshipItem->part, $autoshipItem->getQuantity());
        $this->lineId = bin2hex($autoshipItem->id);
    }
}